﻿var toExternal = true;
var toInternal = false;

var transform = function(x,y, bToExternal)
{
    var lonlat = new OpenLayers.Geometry.Point(x, y);
    var externalProj = new OpenLayers.Projection('EPSG:900913');
    var internalProj = new OpenLayers.Projection('EPSG:4326');
    
    var newLonLat = null;
    if ( bToExternal)
    {
        newLonlat = OpenLayers.Projection.transform(lonlat, internalProj, externalProj);
    }
    else
    {
        newLonlat = OpenLayers.Projection.transform(lonlat, externalProj, internalProj);
    }
    
    return newLonlat;
}